Changeset b8ff9ea


Ignore:
Timestamp:
05/06/2020 02:14:01 AM (18 months ago)
Author:
Douglas R. Reno <renodr@…>
Branches:
10.0, 10.1, 11.0, ken/refactor-virt, lazarus, qt5new, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
c8e3444
Parents:
28a5598
Message:

Update to faad2-2_9_2
Update to Inkscape-1.0
Add gdl for inkscape
Add double-conversion for inkscape

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@23079 af4574ff-66df-0310-9fd7-8a98e5e911e0

Files:
2 added
6 edited

Legend:

Unmodified
Added
Removed
  • general/genlib/genlib.xml

    r28a5598 rb8ff9ea  
    6262  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="clucene.xml"/>
    6363  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dbus-glib.xml"/>
     64  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="double-conversion.xml"/>
    6465  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="enchant.xml"/>
    6566  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="exempi.xml"/>
  • introduction/welcome/changelog.xml

    r28a5598 rb8ff9ea  
    4646      <itemizedlist>
    4747        <listitem>
     48          <para>[renodr] - Added double-conversion to the book. Fixes
     49          <ulink url="&blfs-ticket-root;13504">#13504</ulink>.</para>
     50        </listitem>
     51        <listitem>
     52          <para>[renodr] - Added gdl to the book. Fixes
     53          <ulink url="&blfs-ticket-root;13503">#13503</ulink>.</para>
     54        </listitem>
     55        <listitem>
     56          <para>[renodr] - Update to Inkscape-1.0. Fixes
     57          <ulink url="&blfs-ticket-root;13501">#13501</ulink>.</para>
     58        </listitem>
     59        <listitem>
     60          <para>[renodr] - Update to faad2-2.9.2. Fixes
     61          <ulink url="&blfs-ticket-root;13502">#13502</ulink>.</para>
     62        </listitem>
     63        <listitem>
    4864          <para>[renodr] - Update to gdm-3.36.2. Fixes
    4965          <ulink url="&blfs-ticket-root;13499">#13499</ulink>.</para>
  • multimedia/libdriv/faad2.xml

    r28a5598 rb8ff9ea  
    77  <!ENTITY faad2-download-http "https://github.com/knik0/faad2/archive/&faad2-version;/faad2-&faad2-version;.tar.gz">
    88  <!ENTITY faad2-download-ftp  " ">
    9   <!ENTITY faad2-md5sum        "a880fadc4fc4a564d0833f0c1e7c08b5">
    10   <!ENTITY faad2-size          "784 KB">
    11   <!ENTITY faad2-buildsize     "14 MB">
     9  <!ENTITY faad2-md5sum        "ed0db61d6ffa3e67748c3f03468c6eec">
     10  <!ENTITY faad2-size          "788 KB">
     11  <!ENTITY faad2-buildsize     "16 MB">
    1212  <!ENTITY faad2-time          "0.2 SBU">
    1313]>
  • packages.ent

    r28a5598 rb8ff9ea  
    9494<!ENTITY clucene-version              "2.3.3.4">
    9595<!ENTITY dbus-glib-version            "0.110">
     96<!ENTITY double-conversion-version    "3.1.5">
    9697<!ENTITY enchant-version              "2.2.8">
    9798<!ENTITY exempi-version               "2.5.1">
     
    717718<!ENTITY freeglut-version             "3.2.1">
    718719<!ENTITY gdk-pixbuf-version           "2.40.0">
     720<!ENTITY gdl-version                  "3.34.0">
    719721<!ENTITY glew-version                 "2.1.0">
    720722<!ENTITY glu-version                  "9.0.1">
     
    917919<!ENTITY hexchat-version              "2.14.3">
    918920<!ENTITY icedtea-web-version          "1.7.1">
    919 <!ENTITY inkscape-minor-version       "0.92">
    920 <!ENTITY inkscape-version             "&inkscape-minor-version;.5">
     921<!ENTITY inkscape-minor-version       "1.0">
     922<!-- For point versions -->
     923<!--<!ENTITY inkscape-version             "&inkscape-minor-version;.5">-->
     924<!-- For minor versions -->
     925<!ENTITY inkscape-version             "&inkscape-minor-version;">
    921926<!ENTITY pan-version                  "0.133">
    922927<!ENTITY pidgin-version               "2.13.0">
     
    944949<!ENTITY audiofile-version            "0.3.6">
    945950<!ENTITY faac-version                 "1_30">
    946 <!ENTITY faad2-version                "2_9_1">
     951<!ENTITY faad2-version                "2_9_2">
    947952<!ENTITY fdk-aac-version              "2.0.1">
    948953<!ENTITY flac-version                 "1.3.3">
  • x/lib/lib.xml

    r28a5598 rb8ff9ea  
    4242  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="freeglut.xml"/>
    4343  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gdk-pixbuf.xml"/>
     44  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gdl.xml"/>
    4445  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="glew.xml"/>
    4546  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="glu.xml"/>
  • xsoft/other/inkscape.xml

    r28a5598 rb8ff9ea  
    44  <!ENTITY % general-entities SYSTEM "../../general.ent">
    55  %general-entities;
    6   <!ENTITY inkscape-download-http "https://media.inkscape.org/dl/resources/file/inkscape-&inkscape-version;.tar.bz2">
     6  <!ENTITY inkscape-download-http "https://media.inkscape.org/dl/resources/file/inkscape-&inkscape-version;.tar.xz">
    77  <!ENTITY inkscape-download-ftp  " ">
    8   <!ENTITY inkscape-md5sum        "592c0e94cf00ea9e0a8901883d8f06fd">
    9   <!ENTITY inkscape-size          "31 MB">
    10   <!ENTITY inkscape-buildsize     "538 MB (138 MB installed, add 9 MB for tests)">
    11   <!ENTITY inkscape-time          "4.1 SBU (add 0.1 SBU for tests, both with parallelism=4)">
     8  <!ENTITY inkscape-md5sum        "e5f1ee6b32ac0a94bdd5d99190e7bb9e">
     9  <!ENTITY inkscape-size          "30 MB">
     10  <!ENTITY inkscape-buildsize     "722 MB (165 MB installed)">
     11  <!ENTITY inkscape-time          "5.7 SBU (with parallelism=4)">
    1212]>
    1313
     
    7171    </itemizedlist>
    7272
     73    <!-- With 1.0.0, there is now a dependency on IM7 instead of IM6.
     74         It's explicitly searched for in CMakeLists.txt.
    7375    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
    7476    <itemizedlist spacing="compact">
     
    7981        </para>
    8082      </listitem>
     83      -->
    8184      <!-- These are not needed right now. Inkscape builds/runs fine with the
    8285           latest poppler as of this update (0.87.0). However, history says
     
    9699        </para>
    97100      </listitem>
    98       -->
    99101    </itemizedlist>
     102    -->
     103
     104    <!-- I've asked upstream about this and was unable to find an answer. -renodr -->
     105    <note>
     106      <para>
     107        The tarball <emphasis>inkscape-&inkscape-version;.tar.xz</emphasis>
     108        will extract to
     109        <emphasis>inkscape-&inkscape-version;_2020-05-01_4035a4fb49</emphasis>
     110      </para>
     111    </note>
    100112
    101113    <bridgehead renderas="sect3">Inkscape Dependencies</bridgehead>
     
    104116    <para role="required">
    105117      <xref linkend="boost"/>,
     118      <xref linkend="double-conversion"/>,
    106119      <xref linkend="gc"/>,
     120      <xref linkend="gdl"/>,
    107121      <xref linkend="gsl"/>,
    108       <xref linkend="gtkmm2"/>
    109       (or <xref linkend="gtkmm3"/> and
    110       <ulink url="http://ftp.gnome.org/pub/gnome/sources/gdl/">gnome docking library</ulink>
    111       for the experimental gtk+-3 build),
     122      <xref linkend="gtkmm3"/>,
     123      <xref linkend="libsoup"/>,
    112124      <xref linkend="libxslt"/>,
    113125      <xref linkend="poppler"/>,
     
    118130    <bridgehead renderas="sect4">Recommended</bridgehead>
    119131    <para role="recommended">
    120       <xref linkend="imagemagick6"/>,
     132      <xref linkend="imagemagick"/>,
    121133      <xref linkend="lcms2"/> or
    122134      <xref role="nodep" linkend="lcms"/>,
     
    140152      <!--<ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libcdr">libcdr</ulink>,
    141153      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libvisio">libvisio</ulink>,-->
    142       <ulink url="https://gtkspell.sourceforge.net">gtkspell</ulink>,
     154      <ulink url="http://gtkspell.sourceforge.net">gtkspell</ulink>,
    143155      <ulink url="https://github.com/LibreOffice/libcdr">libcdr</ulink>,
    144156      <ulink url="https://github.com/LibreOffice/libvisio">libvisio</ulink>,
     
    185197    -->
    186198
     199    <!-- Inkscape now has a hard dependency on IM7.
    187200    <para>
    188201      Ensure that the libraries from <xref linkend="imagemagick6"/> can be used:
     
    190203
    191204<screen><userinput>patch -Np1 -i ../inkscape-&inkscape-version;-use_versioned_ImageMagick6-1.patch</userinput></screen>
    192 
     205    -->
    193206<!--
    194207    <para>
     
    201214
    202215<!-- If there is no test suite, then this is not needed.
    203      There is none if the command below is not run. -->
     216     There is none if the command below is not run.
     217     With 1.0, this support is broken, so let's comment it out for now to
     218     prevent confusion.
    204219    <para>
    205220      If you wish to run the testsuite, download the required versions of
     
    209224
    210225<screen remap="test"><userinput>bash download-gtest.sh</userinput></screen>
     226    -->
    211227
    212228    <para>
     
    223239make</userinput></screen>
    224240
    225     <para>
    226       To test the results, issue: <command>make check</command>.<!-- Ken or
     241<!--
     242    <para>
     243      To test the results, issue: <command>make check</command>.<!- - Ken or
    227244      other devs, there is no test suite in this package. -renodr
    228245      A small test suite is built if you download the necessary programs
    229246      with the command above (bash download-gtest.sh) -pierre
    230       This package does not come with a test suite. -->
    231     </para>
     247      This package does not come with a test suite. - ->
     248
     249      At the moment, the test suite does not function with the
     250      "bash download-gtest.sh". CMake is unable to find gtest.
     251    </para>
     252-->
    232253
    233254    <para>
     
    235256    </para>
    236257
    237 <screen role="root"><userinput>make install                      &amp;&amp;
    238 rm -v /usr/lib/inkscape/lib*_LIB.a</userinput></screen>
     258<screen role="root"><userinput>make install</userinput></screen>
    239259
    240260    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     
    249269      <parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch is used to
    250270      build the release library without any debug `assert` in the code.
    251     </para>
    252 
    253     <para>
    254       <command>rm -v /usr/lib/inkscape/lib*_LIB.a</command>: The conversion
    255       of the package to use <command>cmake</command> has led to these libraries
    256       getting installed, but they are not usable (there are no header files to
    257       let a program know what they contain). So remove them.
    258271    </para>
    259272
Note: See TracChangeset for help on using the changeset viewer.